<?xml version="1.0" encoding="UTF-8"?>

<!--
    Document   : skola.xsl
    Created on : 8. dubna 2016, 10:03
    Author     : bar
    Description:
        Purpose of transformation follows.
-->

<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
    <xsl:output method="xml" doctype-public="-//W3C//DTD XHTML 1.0 Strict//EN" doctype-system="http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd" indent="yes"
       encoding="utf-8"/>

    <!-- TODO customize transformation rules 
         syntax recommendation http://www.w3.org/TR/xslt 
    -->
    <xsl:template match="/skola">
        <html>
            <head>
                <meta http-equiv="content-type" content="text/html;charset=utf-8"/>
                <title>ZŠ <xsl:value-of select="/skola/@adresa"/></title>
                <style>
        .emp{
            font-weight:bold;
        }
    </style>
            </head>
            <body>
                <h1>ZŠ <xsl:value-of select="/skola/@adresa"/></h1>
                <xsl:apply-templates/>
            </body>
        </html>
    </xsl:template>
    <xsl:template match="vedeni">
        <h2>Vedení</h2>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="reditel">
        <p>
        <span class="emp">Ředitel:</span>
        <span class="value">
            <xsl:apply-templates/>
        </span>
        </p>
    </xsl:template>
    <xsl:template match="zastupce">
        <p>
            <span class="emp">Zástupce:</span>
        <span class="value"><xsl:apply-templates/></span>
        </p>
    </xsl:template>
    <xsl:template match="tridy">
        <h2>Seznam tříd</h2>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="trida">
        <h3>Třída <xsl:value-of select="@oznaceni"/></h3>
        <xsl:apply-templates/>
    </xsl:template>
    <xsl:template match="ucitel">
        <p>
            <span class="emp">Třídní učitel:</span>
            <span class="value"><xsl:apply-templates/></span>
        </p>
    </xsl:template>
    <xsl:template match="zaci">
        <h4>Seznam žáků</h4>
        <xsl:apply-templates/>
    </xsl:template>
</xsl:stylesheet>
